
#mainnav {
    width: 100%;
    background-color: rgb(5,5,5);
    color: #ffffff;
    font-size: 1em;
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

#mainnav ul {
    margin: 0;
    padding: 0;
    list-style: none;
    overflow: hidden;
}

#mainnav li a {
    color: #FFF;
    text-decoration: none;
    font-size: 1em;
    display: block;
    text-transform: uppercase;
    letter-spacing: 1px;
}

#mainnav .logo {
    display: block;
    float: left;
    font-size: 1.8em;
    width: 2.2em;
    text-decoration: none;
   
}

#mainnav .menu {
    clear: both;
    max-height: 0;
    transition: max-height .2s ease-out;
    background-color: #333333;
    position: relative;
}

#mainnav .menu-icon {
    cursor: pointer;
    display: inline-block;
    float: right;
    padding: 1.5em 2em;
    position: relative;
    user-select: none;
}

#mainnav .menu-icon .navicon {
    color: #FFF;
    background: #FFF;
    display: block;
    height: 2px;
    position: absolute;
    transition: background .2s ease-out;
    width: 18px;
}

#mainnav .menu-icon .navicon:before,
#mainnav .menu-icon .navicon:after {
    background: #FFF;
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    transition: all .2s ease-out;
    width: 100%;
}

#mainnav .menu-icon .navicon:before {
    top: 5px;
}

#mainnav .menu-icon .navicon:after {
    top: -5px;
}

#mainnav .menu-btn {
    display: none;
}

#mainnav .menu-btn:checked ~ .menu {
    max-height: 240px;
}

#mainnav .menu-btn:checked ~ .menu-icon .navicon {
    background: transparent;
}

#mainnav .menu-btn:checked ~ .menu-icon .navicon:before {
    transform: rotate(-45deg);
}

#mainnav .menu-btn:checked ~ .menu-icon .navicon:after {
    transform: rotate(45deg);
}

#mainnav .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before,
#mainnav .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
    top: 0;
}